#!/usr/bin/env python
# -*- coding: utf8 -*-

#
# bootstrap script to generate virtualenv bootstrap script.
#

import io
import sys
import textwrap
import virtualenv

py_version = [str(i) for i in sys.version_info[0:2]]

output = virtualenv.create_bootstrap_script(textwrap.dedent("""
import os
import subprocess

egg_file = "dist/caca-0.99.beta18-py%s.egg"

def after_install(options, env_dir):
    if egg_file is not None:
        subprocess.call([join(env_dir, 'bin', 'easy_install'), egg_file])

def adjust_options(options, args):
    options.no_site_packages = True

""" % ".".join(py_version)))

io.open('libcaca-env.py', 'wb+').write(output)

